Bug 477712 - Recent rawhide update breaks some keyboard usage (arrows...)
Recent rawhide update breaks some keyboard usage (arrows...)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 20:13 EST by Jerry Amundson
Modified: 2008-12-23 20:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-23 20:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (54.71 KB, text/x-log)
2008-12-22 20:49 EST, Jerry Amundson
no flags Details

  None (edit)
Description Jerry Amundson 2008-12-22 20:13:18 EST
Description of problem:
Recent rawhide update breaks some keyboard usage (arrows, Shift-PgUp, Shift-PgDn are key and noticed first.)

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.99.3-1.fc11

How reproducible:
Always.

Steps to Reproduce:
1. Update
2. Login to KDE desktop, open konsole
3. Try arrow keys, Shift-PgUp/PgDn
  
Actual results:
Down, left, right arrow - nothing
Up arrow - Ksnapshot
Shift-PgUp - / character

Expected results:
Normal bash actions

Additional info:
Full updates list:
[root@walnut ~]# rpm -qa --last | more
hal-devel-0.5.12-19.20081219git.fc11          Mon 22 Dec 2008 02:46:57 PM CST
hal-0.5.12-19.20081219git.fc11                Mon 22 Dec 2008 02:46:54 PM CST
hal-libs-0.5.12-19.20081219git.fc11           Mon 22 Dec 2008 02:46:52 PM CST
xorg-x11-drv-radeonhd-1.2.4-1.2.20081212git.fc11 Mon 22 Dec 2008 02:46:00 PM CST
xorg-x11-drv-keyboard-1.3.1-1.20081222git.fc11 Mon 22 Dec 2008 02:30:04 PM CST
xorg-x11-drv-tdfx-1.4.1-1.fc11                Mon 22 Dec 2008 08:14:07 AM CST
xorg-x11-drv-fbdev-0.4.0-3.fc11               Mon 22 Dec 2008 08:14:07 AM CST
xorg-x11-drv-savage-2.2.0-2.fc11              Mon 22 Dec 2008 08:14:06 AM CST
xorg-x11-drv-r128-6.8.0-2.fc11                Mon 22 Dec 2008 08:14:05 AM CST
xorg-x11-drv-apm-1.2.1-1.fc11                 Mon 22 Dec 2008 08:14:05 AM CST
xorg-x11-drv-i740-1.2.0-2.fc11                Mon 22 Dec 2008 08:14:04 AM CST
xorg-x11-drv-cirrus-1.2.0-2.fc11              Mon 22 Dec 2008 08:14:04 AM CST
xorg-x11-drv-trident-1.3.1-1.fc11             Mon 22 Dec 2008 08:14:03 AM CST
xorg-x11-drv-s3virge-1.10.2-1.fc11            Mon 22 Dec 2008 08:14:02 AM CST
xorg-x11-drv-ati-6.9.0-65.fc11                Mon 22 Dec 2008 08:14:02 AM CST
xorg-x11-drv-vmmouse-12.6.3-1.fc11            Mon 22 Dec 2008 08:14:00 AM CST
xorg-x11-drv-neomagic-1.2.2-1.fc11            Mon 22 Dec 2008 08:13:59 AM CST
xorg-x11-drv-ast-0.87.0-1.fc11                Mon 22 Dec 2008 08:13:59 AM CST
xorg-x11-drv-glint-1.2.2-1.fc11               Mon 22 Dec 2008 08:13:58 AM CST
xorg-x11-drv-sis-0.10.1-1.fc11                Mon 22 Dec 2008 08:13:57 AM CST
xorg-x11-drv-synaptics-0.99.3-2.fc11          Mon 22 Dec 2008 08:13:56 AM CST
xorg-x11-drv-nv-2.1.12-7.fc11                 Mon 22 Dec 2008 08:13:55 AM CST
xorg-x11-drv-mach64-6.8.0-2.fc11              Mon 22 Dec 2008 08:13:54 AM CST
xorg-x11-drv-i810-2.5.99.1-0.2.fc11           Mon 22 Dec 2008 08:13:53 AM CST
xorg-x11-drv-geode-2.11.0-2.fc11              Mon 22 Dec 2008 08:13:51 AM CST
xorg-x11-drv-evdev-2.1.0-3.fc11               Mon 22 Dec 2008 08:13:51 AM CST
xorg-x11-server-Xorg-1.5.99.3-1.fc11          Mon 22 Dec 2008 08:13:47 AM CST
xorg-x11-drv-vesa-2.1.0-1.fc11                Mon 22 Dec 2008 08:13:45 AM CST
libdrm-devel-2.4.3-0.3.fc11                   Mon 22 Dec 2008 08:13:44 AM CST
firefox-3.1-0.4.beta2.fc11                    Mon 22 Dec 2008 08:13:38 AM CST
abyssinica-fonts-1.0-3.fc11                   Mon 22 Dec 2008 08:13:33 AM CST
dejavu-fonts-compat-2.28-1.fc11               Mon 22 Dec 2008 08:13:32 AM CST
xorg-x11-server-common-1.5.99.3-1.fc11        Mon 22 Dec 2008 08:13:31 AM CST
dejavu-fonts-sans-2.28-1.fc11                 Mon 22 Dec 2008 08:13:28 AM CST
dejavu-fonts-sans-mono-2.28-1.fc11            Mon 22 Dec 2008 08:13:24 AM CST
dejavu-fonts-serif-2.28-1.fc11                Mon 22 Dec 2008 08:13:19 AM CST
fontpackages-filesystem-1.12-2.fc11           Mon 22 Dec 2008 08:13:16 AM CST
dejavu-fonts-common-2.28-1.fc11               Mon 22 Dec 2008 08:13:16 AM CST
yelp-2.24.0-5.fc11                            Mon 22 Dec 2008 08:12:13 AM CST
gnome-python2-gconf-2.22.3-4.fc11             Mon 22 Dec 2008 08:12:08 AM CST
gnome-python2-bonobo-2.22.3-4.fc11            Mon 22 Dec 2008 08:12:07 AM CST
gnome-python2-canvas-2.22.3-4.fc11            Mon 22 Dec 2008 08:12:06 AM CST
gnome-python2-gnome-2.22.3-4.fc11             Mon 22 Dec 2008 08:12:05 AM CST
gstreamer-ffmpeg-0.10.6-1.fc11                Mon 22 Dec 2008 08:12:04 AM CST
fakeroot-1.11-19.fc11                         Mon 22 Dec 2008 08:12:02 AM CST
ffmpeg-libs-0.4.9-0.57.20081217.fc11          Mon 22 Dec 2008 08:11:59 AM CST
x264-libs-0.0.0-0.22.20081213git9089d21.fc11  Mon 22 Dec 2008 08:11:56 AM CST
gpac-libs-0.4.5-2.fc11                        Mon 22 Dec 2008 08:11:55 AM CST
a52dec-0.7.4-13.fc10                          Mon 22 Dec 2008 08:11:53 AM CST
schroedinger-1.0.5-3.fc10                     Mon 22 Dec 2008 08:11:52 AM CST
libmtp-0.3.5-1.fc11                           Mon 22 Dec 2008 08:11:51 AM CST
shadow-utils-4.1.2-9.fc11                     Mon 22 Dec 2008 08:11:36 AM CST
gnome-python2-gnomevfs-2.22.3-4.fc11          Mon 22 Dec 2008 08:11:31 AM CST
gnome-python2-2.22.3-4.fc11                   Mon 22 Dec 2008 08:11:30 AM CST
xulrunner-1.9.1-0.4.beta2.fc11                Mon 22 Dec 2008 08:11:23 AM CST
xvidcore-1.2.1-1.fc11                         Mon 22 Dec 2008 08:11:17 AM CST
libdrm-2.4.3-0.3.fc11                         Mon 22 Dec 2008 08:11:09 AM CST
Comment 1 Jerry Amundson 2008-12-22 20:47:23 EST
Similar results with Gnome Terminal on a Gnome desktop, except Up arrow displays a Metacity message "No command 33 has been defined".

FWIW, this is an 87 (U.S. and Canada) key laptop keyboard (Dell D600).

From messages: 
Dec 22 19:25:09 localhost kernel: input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input4
Comment 2 Jerry Amundson 2008-12-22 20:49:53 EST
Created attachment 327722 [details]
X log
Comment 3 Jerry Amundson 2008-12-23 13:52:56 EST
Just confirmed that a F9 Live CD works normally, so it is not a hardware problem.
Comment 4 Peter Hutterer 2008-12-23 19:19:46 EST
"Up arrow - Ksnapshot"
This bug keeps coming back, although I was hoping that by now it'd be finally dead. It happens when the wrong keycodes are assigned (xfree86 vs. evdev ones) and the clients don't update their keymaps when the layout changes.
I just pulled one more patch in, please update to xorg-x11-server-1_5_99_3-4_fc11.
Comment 5 Jerry Amundson 2008-12-23 20:04:22 EST
Perfect. Problem solved. Thanks!

Note You need to log in before you can comment on or make changes to this bug.